Skip to main content
GET
/
events
/
scores
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/events/scores \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jup.ag/prediction/v1/events/scores"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.jup.ag/prediction/v1/events/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "eventId": "<string>",
      "gameId": "<string>",
      "live": true,
      "ended": true,
      "updatedAt": "<string>",
      "leagueAbbreviation": "<string>",
      "homeTeam": "<string>",
      "awayTeam": "<string>",
      "score": "<string>",
      "period": "<string>",
      "elapsed": "<string>",
      "status": "<string>",
      "finishedTimestamp": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

eventIds
string
required

Comma-separated event IDs to fetch live scores for (max 100)

Minimum string length: 1
Example:

"POLY-351731,POLY-30615"

Response

200 - application/json

Latest live scores for the given event IDs. Events without a score row are omitted.

data
object[]
required